FROM python:3.7 as builder

ENV DJANGO_SETTINGS_MODULE vapormap.settings.production
# ne faites pas ça ;)
COPY . /
RUN pip install -r requirements.txt && \
    python manage.py collectstatic --no-input

FROM nginx
COPY docker/nginx.conf /etc/nginx/conf.d/site.template
COPY --from=builder /static /var/www/static
EXPOSE 8000
CMD ["/bin/bash", "-c",  "envsubst '${VAPORMAP_URL},${VAPORMAP_PORT}' < /etc/nginx/conf.d/site.template > /etc/nginx/conf.d/default.conf && exec nginx -g 'daemon off;'"]
